<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Entity;

class PagSeguroRecurring extends Entity {
	protected $type;

	public static function builder(): PagSeguroRecurringBuilder {

		return new PagSeguroRecurringBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getType() {

		return $this->type;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type) {

		$this->type = $type;

	}

}

